Get firmware policy snapshot audit record
curl --request GET \
--url https://api.example.com/api/v1/firmware/policy-snapshots/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/firmware/policy-snapshots/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/firmware/policy-snapshots/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/firmware/policy-snapshots/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/firmware/policy-snapshots/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/firmware/policy-snapshots/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/firmware/policy-snapshots/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "<string>",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_set_version": "<string>",
"policy_id": "<string>",
"digest_contract": "jcs-sha256-v1",
"canonical_payload_digest": "<string>",
"approval_status": "netbox_declared",
"approval_reference": "<string>",
"validation_status": "valid",
"freshness_deadline": "2023-11-07T05:31:56Z",
"platform_class": "<string>",
"effective_target_level": "<string>",
"components": [
{
"component_key": "<string>",
"expected_versions": [
{
"version": "<string>",
"vendor": "<string>",
"model_name": "<string>"
}
],
"evidence_authorities": [
"bmc_firmware_inventory"
],
"collector_admission_version": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Firmware Verification
Get firmware policy snapshot audit record
Return one operator-safe immutable policy snapshot projection.
GET
/
api
/
v1
/
firmware
/
policy-snapshots
/
{id}
/
Get firmware policy snapshot audit record
curl --request GET \
--url https://api.example.com/api/v1/firmware/policy-snapshots/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/firmware/policy-snapshots/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/firmware/policy-snapshots/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/firmware/policy-snapshots/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/firmware/policy-snapshots/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/firmware/policy-snapshots/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/firmware/policy-snapshots/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_run_id": "<string>",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_set_version": "<string>",
"policy_id": "<string>",
"digest_contract": "jcs-sha256-v1",
"canonical_payload_digest": "<string>",
"approval_status": "netbox_declared",
"approval_reference": "<string>",
"validation_status": "valid",
"freshness_deadline": "2023-11-07T05:31:56Z",
"platform_class": "<string>",
"effective_target_level": "<string>",
"components": [
{
"component_key": "<string>",
"expected_versions": [
{
"version": "<string>",
"vendor": "<string>",
"model_name": "<string>"
}
],
"evidence_authorities": [
"bmc_firmware_inventory"
],
"collector_admission_version": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
A UUID string identifying this Firmware Policy Snapshot.
Response
Operator projection of immutable policy evidence.
Available options:
jcs-sha256-v1 Available options:
netbox_declared Available options:
valid, invalid, pending, missing, stale, scope_conflict, oversized Show child attributes
Show child attributes